CVE-2017-18926

NameCVE-2017-18926
Descriptionraptor_xml_writer_start_element_common in raptor_xml_writer.c in Raptor RDF Syntax Library 2.0.15 miscalculates the maximum nspace declarations for the XML writer, leading to heap-based buffer overflows (sometimes seen in raptor_qname_format_as_xml).
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-2438-1, DSA-4785-1
NVD severitymedium
Debian Bugs973889

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
raptor2 (PTS)stretch (security)2.0.14-1+deb9u1fixed
buster, stretch2.0.14-1vulnerable
buster (security)2.0.14-1.1~deb10u1fixed
bullseye, sid2.0.14-1.1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
raptorsource(unstable)(unfixed)
raptor2sourcestretch2.0.14-1+deb9u1DLA-2438-1
raptor2sourcebuster2.0.14-1.1~deb10u1DSA-4785-1
raptor2source(unstable)2.0.14-1.1973889

Notes

Fixed by: https://github.com/dajobe/raptor/commit/590681e546cd9aa18d57dc2ea1858cb734a3863f
https://www.openwall.com/lists/oss-security/2017/06/07/1

Search for package or bug name: Reporting problems